Subject: ever more java

From: [email-masked] (David G. Hough at validgh)
Date: Fri, 21 Feb 97 11:06:27 PST

> Should 95% of the people on the 
> planet either have their current Java machine run slower by at 
> least a factor of 2 or replace their current machine with Sun 
> approved hardware in order to make sure that broken programs 
> do not arouse suspicion by running (slightly) differently on 
> different available platforms?

This is the heart of the argument.    The great majority of Java users,
past and present, will never
use any capabilities more numerically intensive than whatever Java spreadsheets
are introduced to compete with Excel.   They will never see a 2X slowdown
due to the Java language definition; perhaps in unusual circumstances they
might be able to measure a 2% slowdown.

People doing numerically-intensive computation on PC's are only one of many
constituencies doing numerically-intensive computation, and not so much
larger than the others; and they are mostly computing
in other languages.    How many will be doing numerically-intensive computation
in Java on P7 systems, and at what performance penalty due to the Java language
definition, remains to be seen.   So far Intel seems to be less concerned
about this issue than Microsoft, oddly enough.

I'll leave further discussion of the points Russell raises to others.